Add Component
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new \
--header 'Content-Type: application/json' \
--data '
{
"productTypeId": "<string>",
"quantity": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryVersion": 123,
"referenceItemVersion": 123,
"name": "<string>",
"columnsAttributes": {}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new"
payload = {
"productTypeId": "<string>",
"quantity": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryVersion": 123,
"referenceItemVersion": 123,
"name": "<string>",
"columnsAttributes": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
productTypeId: '<string>',
quantity: '<string>',
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
collectionVersion: 123,
entryVersion: 123,
referenceItemVersion: 123,
name: '<string>',
columnsAttributes: {}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productTypeId' => '<string>',
'quantity' => '<string>',
'requestKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'collectionVersion' => 123,
'entryVersion' => 123,
'referenceItemVersion' => 123,
'name' => '<string>',
'columnsAttributes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new"
payload := strings.NewReader("{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new")
.header("Content-Type", "application/json")
.body("{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"referenceItemId": "<string>",
"catalogItemId": "<string>",
"catalogItemType": {},
"kind": "material",
"catalogFamilySourceId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"referenceLabel": "<string>",
"manufacturerName": "<string>",
"sourceLabel": "<string>",
"quantity": "<string>",
"position": 123,
"version": 123
}
],
"addedCatalogItemIds": [
"<string>"
],
"referenceItemVersion": 123,
"entryVersion": 123,
"collectionVersion": 123
}Collection Reference Component
Add Component
POST
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{collectionId}
/
entries
/
{entryId}
/
reference-items
/
{referenceItemId}
/
components
/
new
Add Component
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new \
--header 'Content-Type: application/json' \
--data '
{
"productTypeId": "<string>",
"quantity": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryVersion": 123,
"referenceItemVersion": 123,
"name": "<string>",
"columnsAttributes": {}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new"
payload = {
"productTypeId": "<string>",
"quantity": "<string>",
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryVersion": 123,
"referenceItemVersion": 123,
"name": "<string>",
"columnsAttributes": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
productTypeId: '<string>',
quantity: '<string>',
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
collectionVersion: 123,
entryVersion: 123,
referenceItemVersion: 123,
name: '<string>',
columnsAttributes: {}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'productTypeId' => '<string>',
'quantity' => '<string>',
'requestKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'collectionVersion' => 123,
'entryVersion' => 123,
'referenceItemVersion' => 123,
'name' => '<string>',
'columnsAttributes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new"
payload := strings.NewReader("{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new")
.header("Content-Type", "application/json")
.body("{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/entries/{entryId}/reference-items/{referenceItemId}/components/new")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"productTypeId\": \"<string>\",\n \"quantity\": \"<string>\",\n \"requestKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"collectionVersion\": 123,\n \"entryVersion\": 123,\n \"referenceItemVersion\": 123,\n \"name\": \"<string>\",\n \"columnsAttributes\": {}\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"referenceItemId": "<string>",
"catalogItemId": "<string>",
"catalogItemType": {},
"kind": "material",
"catalogFamilySourceId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"referenceLabel": "<string>",
"manufacturerName": "<string>",
"sourceLabel": "<string>",
"quantity": "<string>",
"position": 123,
"version": 123
}
],
"addedCatalogItemIds": [
"<string>"
],
"referenceItemVersion": 123,
"entryVersion": 123,
"collectionVersion": 123
}Path Parameters
Body
application/json
⌘I